summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSven Eden <sven.eden@gmx.de>2016-11-01 05:30:30 +0100
committerSven Eden <sven.eden@gmx.de>2016-11-01 05:30:30 +0100
commite7b2129ea5bc8820585d9defdc43a41b8d5fba9d (patch)
treed395c30616d5a711d28b2fa36f8099113337f22c
parentsys-auth/pambase-20150213-r1.ebuild : Enable elogind as a third session tracker. (diff)
downloadseden-e7b2129ea5bc8820585d9defdc43a41b8d5fba9d.tar.gz
seden-e7b2129ea5bc8820585d9defdc43a41b8d5fba9d.tar.bz2
seden-e7b2129ea5bc8820585d9defdc43a41b8d5fba9d.zip
dev-util/nvidia-cuda-toolkit : No longer needed, the in-tree version supports up to gcc-5.4
-rw-r--r--dev-util/nvidia-cuda-toolkit/ChangeLog498
-rw-r--r--dev-util/nvidia-cuda-toolkit/Manifest6
-rw-r--r--dev-util/nvidia-cuda-toolkit/files/cuda-config.in28
-rw-r--r--dev-util/nvidia-cuda-toolkit/files/nvidia-cuda-toolkit-7.5.18-gcc54.patch17
-rw-r--r--dev-util/nvidia-cuda-toolkit/metadata.xml18
-rw-r--r--dev-util/nvidia-cuda-toolkit/nvidia-cuda-toolkit-7.5.18-r2.ebuild147
6 files changed, 0 insertions, 714 deletions
diff --git a/dev-util/nvidia-cuda-toolkit/ChangeLog b/dev-util/nvidia-cuda-toolkit/ChangeLog
deleted file mode 100644
index 04c4976..0000000
--- a/dev-util/nvidia-cuda-toolkit/ChangeLog
+++ /dev/null
@@ -1,498 +0,0 @@
-# ChangeLog for dev-util/nvidia-cuda-toolkit
-# Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: $
-
-
-*nvidia-cuda-toolkit-7.5.18-r2.ebuild
-
- 11 Dec 2015; Sven Eden <yamakuzure@gmx.net>
- -nvidia-cuda-toolkit-7.5.18-r1.ebuild:
- +nvidia-cuda-toolkit-7.5.18-r2.ebuild:
- Experimentally enable support up to gcc-5.3.* ; Use at your own discretion!
-
-
-*nvidia-cuda-toolkit-7.5.18-r1.ebuild
-
- 16 Sep 2015; Sven Eden <yamakuzure@gmx.net>
- -nvidia-cuda-toolkit-6.5.19-r1.ebuild,
- +nvidia-cuda-toolkit-7.5.18-r1.ebuild:
- Experimentally enable support up to gcc-5.2.* ; Use at your own discretion!
-
-
-*nvidia-cuda-toolkit-7.0.28-r1.ebuild
-
- 03 Sep 2015; Sven Eden <yamakuzure@gmx.net>
- -nvidia-cuda-toolkit-6.5.14-r1.ebuild,
- +nvidia-cuda-toolkit-7.0.28-r1.ebuild:
- Experimentally enable support up to gcc-5.2.* ; Use at your own discretion!
-
-
-*nvidia-cuda-toolkit-6.5.19-r1 (26 Nov 2014)
-
- 26 Nov 2014; Sven Eden <yamakuzure@gmx.net>
- +nvidia-cuda-toolkit-6.5.19-r1.ebuild:
- Version bump - added gcc-raise to support gcc-4.9
-
-*nvidia-cuda-toolkit-6.5.14-r1 (30 Oct 2014)
-
- 30 Oct 2014; Sven Eden <yamakuzure@gmx.net>
- +nvidia-cuda-toolkit-6.5.14-r1.ebuild:
- Raised to support gcc-4.9, as the the CUDA toolkit works with gcc-4.9 since
- version 5.5 according to:
- https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=757961
-
- 15 Sep 2014; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-6.5.14.ebuild:
- Fix min nvidia-drivers version, thanks Marius Brehler for reporting, #521480
-
-*nvidia-cuda-toolkit-6.5.14 (21 Aug 2014)
-
- 21 Aug 2014; Justin Lecher <jlec@gentoo.org>
- +nvidia-cuda-toolkit-6.5.14.ebuild:
- Version BUmp, #520302
-
-*nvidia-cuda-toolkit-6.0.37-r4 (14 Jul 2014)
-
- 14 Jul 2014; Justin Lecher <jlec@gentoo.org>
- +nvidia-cuda-toolkit-6.0.37-r4.ebuild:
- Add profiler specific paths only with USE=profiler, #512160
-
-*nvidia-cuda-toolkit-6.0.37-r3 (16 Jun 2014)
-
- 16 Jun 2014; Justin Lecher <jlec@gentoo.org>
- -nvidia-cuda-toolkit-6.0.37.ebuild, -nvidia-cuda-toolkit-6.0.37-r1.ebuild,
- -nvidia-cuda-toolkit-6.0.37-r2.ebuild, +nvidia-cuda-toolkit-6.0.37-r3.ebuild:
- Fix cuda-config
-
- 16 Jun 2014; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-6.0.37-r2.ebuild:
- Fix version of gcc dependency, #513218
-
-*nvidia-cuda-toolkit-6.0.37-r2 (15 Jun 2014)
-
- 15 Jun 2014; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-6.0.37-r1.ebuild, +nvidia-cuda-toolkit-6.0.37-r2.ebuild:
- Raise gcc version requirement, #513218
-
-*nvidia-cuda-toolkit-6.0.37-r1 (30 Apr 2014)
-
- 30 Apr 2014; Justin Lecher <jlec@gentoo.org>
- +nvidia-cuda-toolkit-6.0.37-r1.ebuild:
- rename generic man page, #509168
-
-*nvidia-cuda-toolkit-6.0.37 (24 Apr 2014)
-
- 24 Apr 2014; Justin Lecher <jlec@gentoo.org>
- +nvidia-cuda-toolkit-6.0.37.ebuild:
- Version Bump, #507804
-
- 31 Mar 2014; Jeroen Roovers <jer@gentoo.org>
- nvidia-cuda-toolkit-4.2.9-r2.ebuild, nvidia-cuda-toolkit-5.5.22.ebuild:
- Fix x11-drivers/nvidia-drivers version dependencies (bug #505198).
-
- 22 Mar 2014; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-4.2.9-r2.ebuild, nvidia-cuda-toolkit-5.5.22.ebuild:
- Add uvm USE-dep to nvidia-drivers, #505198
-
- 27 Jan 2014; Justin Lecher <jlec@gentoo.org>
- -nvidia-cuda-toolkit-4.2.9-r3.ebuild, -nvidia-cuda-toolkit-5.0.35-r2.ebuild,
- -nvidia-cuda-toolkit-5.0.35-r3.ebuild, -nvidia-cuda-toolkit-5.0.35-r4.ebuild:
- Drop old
-
- 26 Jan 2014; Agostino Sarubbo <ago@gentoo.org>
- nvidia-cuda-toolkit-5.5.22.ebuild:
- Stable for x86, wrt bug #486578
-
- 22 Dec 2013; Pacho Ramos <pacho@gentoo.org> nvidia-cuda-toolkit-5.5.22.ebuild:
- amd64 stable, bug #486578
-
- 26 Nov 2013; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-4.2.9-r2.ebuild, nvidia-cuda-toolkit-4.2.9-r3.ebuild,
- nvidia-cuda-toolkit-5.0.35-r2.ebuild, nvidia-cuda-toolkit-5.0.35-r3.ebuild,
- nvidia-cuda-toolkit-5.0.35-r4.ebuild, nvidia-cuda-toolkit-5.5.22.ebuild:
- Use MERGE_TYPE wrap for postinst check, thanks lxnay pointing this out
-
- 19 Sep 2013; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-5.5.22.ebuild:
- Megabytes are M not MB, #485400
-
- 17 Sep 2013; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-5.5.22.ebuild:
- Check for disk space, #483690
-
- 11 Aug 2013; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-5.5.22.ebuild:
- Drop sdk part again
-
- 11 Aug 2013; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-5.5.22.ebuild:
- Fix gcc version
-
-*nvidia-cuda-toolkit-5.5.22 (11 Aug 2013)
-
- 11 Aug 2013; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-4.2.9-r2.ebuild, nvidia-cuda-toolkit-4.2.9-r3.ebuild,
- nvidia-cuda-toolkit-5.0.35-r2.ebuild, nvidia-cuda-toolkit-5.0.35-r3.ebuild,
- nvidia-cuda-toolkit-5.0.35-r4.ebuild, +nvidia-cuda-toolkit-5.5.22.ebuild:
- Version Bump, #479374; fix license, #466576
-
- 26 Jun 2013; Christoph Junghans <ottxor@gentoo.org> metadata.xml:
- remove myself as maintainer
-
-*nvidia-cuda-toolkit-5.0.35-r4 (20 Apr 2013)
-*nvidia-cuda-toolkit-4.2.9-r3 (20 Apr 2013)
-
- 20 Apr 2013; Rick Farina <zerochaos@gentoo.org>
- +nvidia-cuda-toolkit-4.2.9-r3.ebuild, +nvidia-cuda-toolkit-5.0.35-r4.ebuild,
- nvidia-cuda-toolkit-4.2.9-r2.ebuild, nvidia-cuda-toolkit-5.0.35-r2.ebuild,
- nvidia-cuda-toolkit-5.0.35-r3.ebuild:
- adding new revs for subslot dependancies, as well as fixing license
-
-*nvidia-cuda-toolkit-5.0.35-r3 (13 Feb 2013)
-
- 13 Feb 2013; Justin Lecher <jlec@gentoo.org>
- +nvidia-cuda-toolkit-5.0.35-r3.ebuild:
- Fix various typos and logic errors, #456950 & #456956
-
- 12 Feb 2013; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-5.0.35-r2.ebuild:
- Readd ncurses[tinfo], which was accidentally dropped
-
- 08 Feb 2013; Justin Lecher <jlec@gentoo.org> -nvidia-cuda-toolkit-4.0.ebuild,
- -nvidia-cuda-toolkit-4.1.ebuild, -nvidia-cuda-toolkit-4.2.ebuild,
- -nvidia-cuda-toolkit-4.2.9-r1.ebuild, -nvidia-cuda-toolkit-5.0.35.ebuild,
- -nvidia-cuda-toolkit-5.0.35-r1.ebuild:
- Drop old
-
- 08 Feb 2013; Agostino Sarubbo <ago@gentoo.org>
- nvidia-cuda-toolkit-4.2.9-r2.ebuild:
- Stable for x86, wrt bug #455514
-
- 08 Feb 2013; Agostino Sarubbo <ago@gentoo.org>
- nvidia-cuda-toolkit-4.2.9-r2.ebuild:
- Stable for amd64, wrt bug #455514
-
- 06 Feb 2013; Andreas K. Huettel <dilfridge@gentoo.org>
- nvidia-cuda-toolkit-4.2.9-r2.ebuild, nvidia-cuda-toolkit-5.0.35-r2.ebuild:
- Will never work on any arches other than amd64 x86 (binary package)
-
-*nvidia-cuda-toolkit-5.0.35-r2 (22 Jan 2013)
-*nvidia-cuda-toolkit-4.2.9-r2 (22 Jan 2013)
-
- 22 Jan 2013; Justin Lecher <jlec@gentoo.org>
- +nvidia-cuda-toolkit-4.2.9-r2.ebuild, +nvidia-cuda-toolkit-5.0.35-r2.ebuild:
- Correct postinst msg logic; fine grade deletion of files
-
- 17 Jan 2013; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-5.0.35.ebuild, nvidia-cuda-toolkit-5.0.35-r1.ebuild:
- Correct deps which are only needed with USE=debugger
-
- 17 Jan 2013; Justin Lecher <jlec@gentoo.org>
- +nvidia-cuda-toolkit-5.0.35.ebuild:
- Add new dep on libtinfo.so, #452164
-
- 17 Jan 2013; Christoph Junghans <ottxor@gentoo.org> metadata.xml,
- nvidia-cuda-toolkit-4.2.9-r1.ebuild:
- fix build on x86 (bug #452388)
-
-*nvidia-cuda-toolkit-5.0.35-r1 (16 Jan 2013)
-
- 16 Jan 2013; Justin Lecher <jlec@gentoo.org>
- -nvidia-cuda-toolkit-5.0.35.ebuild, +nvidia-cuda-toolkit-5.0.35-r1.ebuild:
- Correct support gcc version, #452386
-
- 16 Jan 2013; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-4.2.9-r1.ebuild:
- x86 and x86_64 packages are different, #452388
-
- 16 Jan 2013; Justin Lecher <jlec@gentoo.org>
- nvidia-cuda-toolkit-5.0.35.ebuild:
- Drop old version of gcc which do not provide GLIBCXX_3.4.15;depend on cxx
- support in gcc
-
-*nvidia-cuda-toolkit-5.0.35 (14 Jan 2013)
-*nvidia-cuda-toolkit-4.2.9-r1 (14 Jan 2013)
-
- 14 Jan 2013; Justin Lecher <jlec@gentoo.org> -nvidia-cuda-toolkit-3.2.ebuild,
- +nvidia-cuda-toolkit-4.2.9-r1.ebuild, +nvidia-cuda-toolkit-5.0.35.ebuild,
- +files/cuda-config.in, metadata.xml:
- Version Bump, #446072 and #451972; fine grad what msg we are showing,
- #440434; support prefix installations, #405317; drop old, #351702; take the
- package
-
- 24 Sep 2012; Mike Frysinger <vapier@gentoo.org>
- nvidia-cuda-toolkit-3.2.ebuild, nvidia-cuda-toolkit-4.0.ebuild,
- nvidia-cuda-toolkit-4.1.ebuild, nvidia-cuda-toolkit-4.2.ebuild:
- QA_DT_HASH (old/deprecated) -> QA_FLAGS_IGNORED (new hotness).
-
- 03 Sep 2012; Michael Palimaka <kensington@gentoo.org>
- nvidia-cuda-toolkit-3.2.ebuild, nvidia-cuda-toolkit-4.0.ebuild:
- Add missing slot dependencies on Qt.
-
-*nvidia-cuda-toolkit-4.2 (31 Jul 2012)
-
- 31 Jul 2012; Rick Farina <zerochaos@gentoo.org>
- +nvidia-cuda-toolkit-4.2.ebuild, metadata.xml:
- bump to 4.2 and cleanup QA warnings in ebuild and from repoman
-
- 21 Feb 2012; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-3.2.ebuild:
- Restore 3.2, which is a dependency of dev-util/nvidia-cuda-npp-3.2.
-
- 21 Feb 2012; Michał Januszewski <spock@gentoo.org>
- -nvidia-cuda-toolkit-2.2-r3.ebuild,
- -files/nvidia-cuda-toolkit-2.2-enum_fix.patch,
- -nvidia-cuda-toolkit-2.3.ebuild, -nvidia-cuda-toolkit-3.0.ebuild,
- -files/nvidia-cuda-toolkit-3.0-enum_fix.patch,
- -nvidia-cuda-toolkit-3.1.ebuild,
- -files/nvidia-cuda-toolkit-3.1-enum_fix.patch,
- -nvidia-cuda-toolkit-3.2.ebuild:
- Remove old ebuilds.
-
- 21 Feb 2012; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-3.0.ebuild, nvidia-cuda-toolkit-3.1.ebuild,
- nvidia-cuda-toolkit-3.2.ebuild, nvidia-cuda-toolkit-4.0.ebuild,
- nvidia-cuda-toolkit-4.1.ebuild:
- Stop creating the /usr/include/CL symlink now that there is an eselect module
- to switch between OpenCL implementations.
-
- 11 Feb 2012; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-3.0.ebuild, nvidia-cuda-toolkit-3.1.ebuild,
- nvidia-cuda-toolkit-3.2.ebuild, nvidia-cuda-toolkit-4.0.ebuild,
- nvidia-cuda-toolkit-4.1.ebuild:
- Do not call env-update in pkg_postinst.
-
- 05 Feb 2012; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-4.1.ebuild:
- Add a dep on gcc-4.5+.
-
- 05 Feb 2012; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-4.1.ebuild:
- Fix problems with the executable bit being unset on some .so files (bug
- #401447).
-
- 05 Feb 2012; Mike Frysinger <vapier@gentoo.org>
- nvidia-cuda-toolkit-2.2-r3.ebuild, nvidia-cuda-toolkit-2.3.ebuild,
- nvidia-cuda-toolkit-3.0.ebuild, nvidia-cuda-toolkit-3.1.ebuild,
- nvidia-cuda-toolkit-3.2.ebuild, nvidia-cuda-toolkit-4.0.ebuild,
- nvidia-cuda-toolkit-4.1.ebuild:
- Move to new unpacker eclass for unpack_makeself.
-
-*nvidia-cuda-toolkit-4.1 (29 Jan 2012)
-
- 29 Jan 2012; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-4.1.ebuild:
- Version bump.
-
- 04 Sep 2011; Markus Meier <maekke@gentoo.org> nvidia-cuda-toolkit-4.0.ebuild:
- x86 stable, bug #378545
-
- 27 Aug 2011; Tony Vroon <chainsaw@gentoo.org> nvidia-cuda-toolkit-4.0.ebuild:
- Marked stable on AMD64 based on arch testing by Elijah El Lazkani & Tomáš
- "Mepho" Pružina in bug #378545 filed by Agostino "ago" Sarubbo.
-
- 27 Aug 2011; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-4.0.ebuild:
- Fix bug #380425.
-
- 23 Aug 2011; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-4.0.ebuild:
- Fix bugs #375295, #375801.
-
- 23 Jul 2011; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-2.2-r3.ebuild, nvidia-cuda-toolkit-2.3.ebuild,
- nvidia-cuda-toolkit-3.0.ebuild, nvidia-cuda-toolkit-3.1.ebuild,
- nvidia-cuda-toolkit-3.2.ebuild, nvidia-cuda-toolkit-4.0.ebuild:
- Remove block on nvidia-cuda-profiler (now removed from the tree).
-
- 12 Jun 2011; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-4.0.ebuild:
- Update the nvidia-drivers dependency for CUDA 4.0 to req. at least 270.41+.
-
-*nvidia-cuda-toolkit-4.0 (29 May 2011)
-
- 29 May 2011; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-4.0.ebuild:
- Add CUDA Toolkit v4.0 (bug #367529).
-
- 06 Jan 2011; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-3.2.ebuild:
- Block old NVIDIA drivers to prevent collision in /usr/include/CL (bug
- #348920).
-
- 12 Dec 2010; Michał Januszewski <spock@gentoo.org>
- -nvidia-cuda-toolkit-3.0_beta1.ebuild:
- Remove the ebuild for 3.0-beta1.
-
- 12 Dec 2010; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-3.0.ebuild, nvidia-cuda-toolkit-3.1.ebuild,
- nvidia-cuda-toolkit-3.2.ebuild:
- Install a /usr/include/CL symlink for the NVIDIA OpenCL headers.
-
-*nvidia-cuda-toolkit-3.2 (01 Dec 2010)
-
- 01 Dec 2010; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-3.2.ebuild:
- Version bump.
-
- 06 Oct 2010; Samuli Suominen <ssuominen@gentoo.org>
- nvidia-cuda-toolkit-3.1.ebuild:
- Fix libpng SLOT depend wrt #339796 by "MaratIK".
-
- 23 Sep 2010; Diego E. Pettenò <flameeyes@gentoo.org>
- nvidia-cuda-toolkit-2.2-r3.ebuild, nvidia-cuda-toolkit-2.3.ebuild,
- nvidia-cuda-toolkit-3.0_beta1.ebuild, nvidia-cuda-toolkit-3.0.ebuild,
- nvidia-cuda-toolkit-3.1.ebuild:
- Remove wrong restrictions. Use the proper QA_* variables, not blanket
- restrictions.
-
- 05 Jul 2010; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-3.0.ebuild, nvidia-cuda-toolkit-3.1.ebuild:
- Add env-update calls so that the CUDA libraries are picked up by other
- ebuilds and apps (bug #320853).
-
-*nvidia-cuda-toolkit-3.1 (03 Jul 2010)
-
- 03 Jul 2010; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-3.1.ebuild,
- +files/nvidia-cuda-toolkit-3.1-enum_fix.patch:
- Version bump (bug #325831). Thanks to Clemens Rabe for the updated ebuild.
-
- 24 Jun 2010; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-3.0.ebuild:
- Add desktop entries for cudaprof and openclprof (no icons so far, as
- NVIDIA does not provide any) (bug #323995).
-
- 24 Jun 2010; Michał Januszewski <spock@gentoo.org>
- -nvidia-cuda-toolkit-2.0.ebuild, -nvidia-cuda-toolkit-2.1.ebuild,
- -nvidia-cuda-toolkit-2.2-r2.ebuild:
- Remove old ebuilds.
-
- 24 Jun 2010; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-3.0.ebuild:
- Add a missing dependency on libpng-1.2 (bug #323985).
-
- 23 May 2010; Pacho Ramos <pacho@gentoo.org>
- nvidia-cuda-toolkit-2.3.ebuild:
- stable amd64, bug 313067
-
- 10 May 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
- nvidia-cuda-toolkit-2.3.ebuild:
- x86 stable wrt bug #313067
-
- 01 Apr 2010; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-3.0.ebuild,
- +files/nvidia-cuda-toolkit-3.0-enum_fix.patch:
- Add an enum fix for gcc pedantic mode (bug #311657), fix a typo in
- src_install.
-
- 25 Mar 2010; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-3.0.ebuild:
- Add a dep on >=sys-devel/binutils-2.20 (bug #279523).
-
-*nvidia-cuda-toolkit-3.0 (21 Mar 2010)
-
- 21 Mar 2010; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-3.0.ebuild, metadata.xml:
- Version bump.
-
- 20 Jan 2010; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-3.0_beta1.ebuild:
- Update the info about the required version of nvidia-drivers (bug
- #301101).
-
-*nvidia-cuda-toolkit-3.0_beta1 (08 Jan 2010)
-
- 08 Jan 2010; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-3.0_beta1.ebuild:
- Version bump (bug #298914).
-
- 01 Dec 2009; Christian Faulhammer <fauli@gentoo.org>
- nvidia-cuda-toolkit-2.2-r2.ebuild:
- stable x86, bug 293641
-
- 25 Sep 2009; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-2.1.ebuild:
- Add a note that 2.1 should never become stable.
-
-*nvidia-cuda-toolkit-2.2-r3 (09 Aug 2009)
-
- 09 Aug 2009; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-2.2-r3.ebuild:
- Use older binaries to maintain compatiblity with gcc3 (bug #279523).
-
- 09 Aug 2009; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-2.3.ebuild:
- Add a dep on gcc4 (required for ABI compatibility).
-
- 07 Aug 2009; <chainsaw@gentoo.org> nvidia-cuda-toolkit-2.0.ebuild:
- Marked stable as requested by Michal "Spock" Januszewski
- <spock@gentoo.org> in bug #276538. Arch-tested by Víctor "VQuicksilver"
- Enríquez using K3d & cuda-profiler.
-
- 29 Jul 2009; Michał Januszewski <spock@gentoo.org>
- -nvidia-cuda-toolkit-2.2.ebuild, -nvidia-cuda-toolkit-2.2-r1.ebuild:
- Remove old ebuilds.
-
-*nvidia-cuda-toolkit-2.3 (29 Jul 2009)
-
- 29 Jul 2009; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-2.3.ebuild:
- Version bump.
-
- 19 Jul 2009; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-2.0.ebuild, nvidia-cuda-toolkit-2.1.ebuild,
- nvidia-cuda-toolkit-2.2.ebuild, nvidia-cuda-toolkit-2.2-r1.ebuild,
- nvidia-cuda-toolkit-2.2-r2.ebuild:
- Add a warning about gcc-4.4 not being supported by the NVIDIA CUDA
- compiler (bug #278210)
-
- 08 Jul 2009; Christian Faulhammer <fauli@gentoo.org>
- nvidia-cuda-toolkit-2.0.ebuild:
- stable x86, bug 276538
-
-*nvidia-cuda-toolkit-2.2-r2 (05 Jul 2009)
-
- 05 Jul 2009; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-2.2-r2.ebuild, metadata.xml:
- Add support for the CUDA debugger (bug #274100).
-
- 05 Jul 2009; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-2.2-r1.ebuild:
- Use system Qt4 libraries on x86. Restrict binchecks as this is a binary
- package.
-
-*nvidia-cuda-toolkit-2.2-r1 (19 Jun 2009)
-
- 19 Jun 2009; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-2.2-r1.ebuild,
- +files/nvidia-cuda-toolkit-2.2-enum_fix.patch, metadata.xml:
- Add support for the CUDA visual profiler (bug #274095).
-
-*nvidia-cuda-toolkit-2.2 (16 May 2009)
-
- 16 May 2009; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-2.2.ebuild:
- Version bump (bug #269894).
-
- 06 May 2009; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-2.1.ebuild:
- Add a temporary workaround for bug #266069.
-
- 13 Apr 2009; Michał Januszewski <spock@gentoo.org>
- nvidia-cuda-toolkit-2.1.ebuild:
- Properly override the lib directory (bug #265722, patch by Georgi
- Georgiev).
-
-*nvidia-cuda-toolkit-2.1 (21 Jan 2009)
-
- 21 Jan 2009; Michał Januszewski <spock@gentoo.org>
- +nvidia-cuda-toolkit-2.1.ebuild:
- Version bump (bug #255128).
-
-*nvidia-cuda-toolkit-2.0 (18 Oct 2008)
-
- 18 Oct 2008; Michał Januszewski <spock@gentoo.org> +metadata.xml,
- +nvidia-cuda-toolkit-2.0.ebuild:
- Initial commit. Thanks to everyone participating in bug #167685 for the
- previous versions of the ebuild.
diff --git a/dev-util/nvidia-cuda-toolkit/Manifest b/dev-util/nvidia-cuda-toolkit/Manifest
deleted file mode 100644
index ab1e50a..0000000
--- a/dev-util/nvidia-cuda-toolkit/Manifest
+++ /dev/null
@@ -1,6 +0,0 @@
-AUX cuda-config.in 406 SHA256 7271463891ff75dd83f4cb42bb3004d3204243d0e38f9cbd5b4ec4560865496a SHA512 df6d16bd2e800868bdf8401b6f82a387b701ea297ddf6e8feb0daf5222e62a33f156e5f45cf1ee4e1aa51559dfbd56b897c257dae1bb9568e839bf806bfebd5b WHIRLPOOL 4a26ee11d97676827cb01644891fdca495c3373585ddfbb5fab9f988186da384f27482c4be9e27d834036ffa87f7ee19f9ad7da2d8536babe874dda4ff991147
-AUX nvidia-cuda-toolkit-7.5.18-gcc54.patch 679 SHA256 7e00d427b0f1c96d4c40ac95667f5af7454b1c155e744ec72cf0e88a8828bdb2 SHA512 082f5273fa57b7d7d5fb67751e9fc27cc1ae0dd0e8c9fd0e8971acac96f2fe892585604a163df1c3e51a8e12d15e697713d47d722a6210c22554dd60f763e472 WHIRLPOOL 1bb99409927f1e0efad338819e612ce9c5688829ed1f0bd820387664e893fd6cdd23556b5bc3990a7828634019a70d88925f5bdab9593e6347e90115e182d34b
-DIST cuda_7.5.18_linux.run 1195424633 SHA256 08411d536741075131a1858a68615b8b73c51988e616e83b835e4632eea75eec SHA512 97459dfd124060200f1c43f763e5bce0bea53e35ed4bef72bee6c8ba1c04ecffb8695af11755443513316f91fdb5cb4d35662f7b87bca7e3de85d562d4e49363 WHIRLPOOL 59d186f5e9176db25e5991e8088417ac778953c3ed2f0dcef034968f7ea695c5d4cfea81759ac0f7f1290c3842d9d0339b5b74d2d90ec8b333135aa1b986ca10
-EBUILD nvidia-cuda-toolkit-7.5.18-r2.ebuild 3393 SHA256 6c10e857ecc4d084e19f758af37d2249fb64181638e3898414a7e9a14207c74d SHA512 2d73511bc747978a97ab296a67928cd896c11e70a1d08500d8ea1078f1ac70f7d7ce519b07825c2602ac06fe259aa629e1ab4c093f4467d13a8feb5cae0eec2b WHIRLPOOL ebd2f318809d49ec8fae73f0852d24fe7b861a860f3ca02c6d8af576fcd8a46dc1ea780dd59e878f37999962b4d69ccc76f5a2f41a9d1a726ecadc29d59c5c74
-MISC ChangeLog 18149 SHA256 0ef410bb3a15e56df39ad2e2b8c5c504893cd40e7595a7ba42349837390419df SHA512 90d4e13f07afdd976150d912d7efd27bbbee6f6df0b4752271e425c84dcbe94d3b08cdcd4f358e9c8e7ce910923c64cd883e22c1bce4da8023031232da0d9be2 WHIRLPOOL 86bff8047e8bbcf15da0cf1cfcf6d7e93314ad5fb7354c6b4a53ca6da2f3da1ca28bdbf756d499b6139a85199d4334efb213c259cff917525bfc29a5f79bbf2f
-MISC metadata.xml 506 SHA256 16d98da28f74ec82ae271f04e456547db8da2a9c576bf262ad897f4a3259fb56 SHA512 c1be2bc00a75ee9db0339938964d80214648df5a6cc16f3d1250f80d3142a1e511750dba34b54794227457db0d1a0f5ca4f692f34b9566ac3f58fef43196626e WHIRLPOOL 02f0c08cb4ab40b543e23c51ae81a7f04e452f3949808bd29a2790c565c2739d131d4d19fc3d4d279381a5ed05ad0623ba560aba82f7a3b510e44f8cf35c6473
diff --git a/dev-util/nvidia-cuda-toolkit/files/cuda-config.in b/dev-util/nvidia-cuda-toolkit/files/cuda-config.in
deleted file mode 100644
index ca0d1d7..0000000
--- a/dev-util/nvidia-cuda-toolkit/files/cuda-config.in
+++ /dev/null
@@ -1,28 +0,0 @@
-#!/bin/bash
-
-SUPPORT_GCC_VERSIONS_BY_CUDA="CUDA_SUPPORTED_GCC"
-
-_print_help() {
- cat <<- EOF
- Usage:
- $(basename $0) [options]
-
- -s | --supported Returns by current CUDA supported gcc versions
- -h | --help Shows this help
- EOF
-}
-
-case ${1} in
- -s|--supported)
- echo "${SUPPORT_GCC_VERSIONS_BY_CUDA}"
- exit 0
- ;;
- -h|--help)
- _print_help
- exit -1
- ;;
- *)
- _print_help
- exit 1
- ;;
-esac
diff --git a/dev-util/nvidia-cuda-toolkit/files/nvidia-cuda-toolkit-7.5.18-gcc54.patch b/dev-util/nvidia-cuda-toolkit/files/nvidia-cuda-toolkit-7.5.18-gcc54.patch
deleted file mode 100644
index fba0ad2..0000000
--- a/dev-util/nvidia-cuda-toolkit/files/nvidia-cuda-toolkit-7.5.18-gcc54.patch
+++ /dev/null
@@ -1,17 +0,0 @@
---- a/include/host_config.h
-+++ b/include/host_config.h
-@@ -110,11 +110,11 @@
-
- #if defined(__GNUC__)
-
--#if __GNUC__ > 4 || (__GNUC__ == 4 && __GNUC_MINOR__ > 9)
-+#if __GNUC__ > 5 || (__GNUC__ == 5 && __GNUC_MINOR__ > 4)
-
--#error -- unsupported GNU version! gcc versions later than 4.9 are not supported!
-+#error -- unsupported GNU version! gcc versions later than 5.4 are not supported!
-
--#endif /* __GNUC__ > 4 || (__GNUC__ == 4 && __GNUC_MINOR__ > 9) */
-+#endif /* __GNUC__ > 5 || (__GNUC__ == 5 && __GNUC_MINOR__ > 4) */
-
- #if defined(__APPLE__) && defined(__MACH__) && !defined(__clang__)
- #error -- clang and clang++ are the only supported host compilers on Mac OS X!
diff --git a/dev-util/nvidia-cuda-toolkit/metadata.xml b/dev-util/nvidia-cuda-toolkit/metadata.xml
deleted file mode 100644
index 5e09419..0000000
--- a/dev-util/nvidia-cuda-toolkit/metadata.xml
+++ /dev/null
@@ -1,18 +0,0 @@
-<?xml version="1.0" encoding="UTF-8"?>
-<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
-<pkgmetadata>
- <herd>sci</herd>
- <maintainer>
- <email>jlec@gentoo.org</email>
- <name>Justin Lecher</name>
- </maintainer>
- <use>
- <flag name="profiler">
- Installs the NVIDIA CUDA visual profiler.
- </flag>
- <flag name="debugger">
- Installs the CUDA debugger.
- </flag>
- <flag name="eclipse">Install the <pkg>dev-util/eclipse-sdk</pkg> plugins</flag>
- </use>
-</pkgmetadata>
diff --git a/dev-util/nvidia-cuda-toolkit/nvidia-cuda-toolkit-7.5.18-r2.ebuild b/dev-util/nvidia-cuda-toolkit/nvidia-cuda-toolkit-7.5.18-r2.ebuild
deleted file mode 100644
index c1d1910..0000000
--- a/dev-util/nvidia-cuda-toolkit/nvidia-cuda-toolkit-7.5.18-r2.ebuild
+++ /dev/null
@@ -1,147 +0,0 @@
-# Copyright 1999-2015 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Id$
-
-EAPI=6
-
-inherit check-reqs cuda unpacker versionator
-
-MYD=$(get_version_component_range 1-2)
-
-DESCRIPTION="NVIDIA CUDA Toolkit (compiler and friends)"
-HOMEPAGE="http://developer.nvidia.com/cuda"
-SRC_URI="http://developer.download.nvidia.com/compute/cuda/${MYD}/Prod/local_installers/cuda_${PV}_linux.run"
-
-SLOT="0/${PV}"
-LICENSE="NVIDIA-CUDA"
-KEYWORDS="-* ~amd64 ~amd64-linux"
-IUSE="debugger doc eclipse profiler"
-
-DEPEND=""
-RDEPEND="${DEPEND}
- >=sys-devel/gcc-5.2[cxx]
- >=x11-drivers/nvidia-drivers-355.11
- debugger? (
- sys-libs/libtermcap-compat
- sys-libs/ncurses[tinfo]
- )
- eclipse? ( >=virtual/jre-1.6 )
- profiler? ( >=virtual/jre-1.6 )"
-
-S="${WORKDIR}"
-
-QA_PREBUILT="opt/cuda/*"
-
-CHECKREQS_DISK_BUILD="1500M"
-
-pkg_setup() {
- # We don't like to run cuda_pkg_setup as it depends on us
- check-reqs_pkg_setup
-}
-
-src_unpack() {
- unpacker
- unpacker run_files/cuda-linux*.run
-}
-
-src_prepare() {
- epatch "${FILESDIR}"/${PN}-7.5.18-gcc54.patch
-
- local cuda_supported_gcc
-
- cuda_supported_gcc="4.7 4.8 4.9 5.0 5.1 5.2 5.3 5.4"
-
- sed \
- -e "s:CUDA_SUPPORTED_GCC:${cuda_supported_gcc}:g" \
- "${FILESDIR}"/cuda-config.in > "${T}"/cuda-config || die
-
- eapply_user
-}
-
-src_install() {
- local i j
- local remove="doc jre run_files install-linux.pl "
- local cudadir=/opt/cuda
- local ecudadir="${EPREFIX}"${cudadir}
-
- # dodoc doc/*txt
- if use doc; then
- dodoc doc/pdf/*
- dohtml -r doc/html/*
- fi
-
- mv doc/man/man3/{,cuda-}deprecated.3 || die
- doman doc/man/man*/*
-
- use debugger || remove+=" bin/cuda-gdb extras/Debugger"
- ( use profiler || use eclipse ) || remove+=" libnsight"
- remove+=" cuda-installer.pl"
-
- if use profiler; then
- # hack found in install-linux.pl
- for j in nvvp nsight; do
- cat > bin/${j} <<- EOF
- #!${EPREFIX}/bin/sh
- LD_LIBRARY_PATH=\${LD_LIBRARY_PATH}:${ecudadir}/lib:${ecudadir}/lib64 \
- UBUNTU_MENUPROXY=0 LIBOVERLAY_SCROLLBAR=0 \
- ${ecudadir}/lib${j}/${j} -vm ${EPREFIX}/usr/bin/java
- EOF
- chmod a+x bin/${j}
- done
- else
- use eclipse || remove+=" libnvvp"
- remove+=" extras/CUPTI"
- fi
-
- for i in ${remove}; do
- ebegin "Cleaning ${i}..."
- if [[ -e ${i} ]]; then
- find ${i} -delete || die
- eend
- else
- eend $1
- fi
- done
-
- ln -sf lib lib32 || die
-
- dodir ${cudadir}
- mv * "${ED}"${cudadir} || die
-
- cat > "${T}"/99cuda <<- EOF
- PATH=${ecudadir}/bin$(use profiler && echo ":${ecudadir}/libnvvp")
- ROOTPATH=${ecudadir}/bin
- LDPATH=${ecudadir}/lib64:${ecudadir}/lib
- EOF
- doenvd "${T}"/99cuda
-
- use profiler && \
- make_wrapper nvprof "${EPREFIX}"${cudadir}/bin/nvprof "." ${ecudadir}/lib64:${ecudadir}/lib
-
- dobin "${T}"/cuda-config
-}
-
-pkg_postinst_check() {
- local a b
- a="$(version_sort $(cuda-config -s))"; a=( $a )
- # greatest supported version
- b=${a[${#a[@]}-1]}
-
- # if gcc and if not gcc-version is at least greatesst supported
- if [[ $(tc-getCC) == *gcc* ]] && \
- ! version_is_at_least $(gcc-version) ${b}; then
- echo
- ewarn "gcc >= ${b} will not work with CUDA"
- ewarn "Make sure you set an earlier version of gcc with gcc-config"
- ewarn "or append --compiler-bindir= pointing to a gcc bindir like"
- ewarn "--compiler-bindir=${EPREFIX}/usr/*pc-linux-gnu/gcc-bin/gcc${b}"
- ewarn "to the nvcc compiler flags"
- echo
- fi
-}
-
-pkg_postinst() {
- if [[ ${MERGE_TYPE} != binary ]]; then
- pkg_postinst_check
- fi
-}